
%==========================================================================
% Test 1, composition 3
%==========================================================================

time_03         = data_compo_3(:,1);        % [s]            

rot_top_03      = data_compo_3(:,2);        % [rpm]
rot_bott_03     = data_compo_3(:,3);        % [rpm]

pump1_03        = data_compo_3(:,4);        % [V]
pump2_03        = data_compo_3(:,5);        % [V]

oslim1_03       = data_compo_3(:,6);        % 0 - 30 g/l range, Oslim 2 [V]
oslim2_03       = data_compo_3(:,8);        % 0 - 30 g/l range, Oslim 4 [V]
oslim3_03       = data_compo_3(:,7);        % 0 - 30 g/l range, Oslim 8 [V]

oslim4_03       = data_compo_3(:,9);        % 0 - 2 g/l range, Oslim 9 [V]
oslim5_03       = data_compo_3(:,10);       % (not connected) 0 - 2 g/l range, Oslim x [V]
oslim6_03       = data_compo_3(:,11);       % 0 - 2 g/l range, Oslim 7 [V]

EMS_main_1_03   = data_compo_3(:,12);       % Main flow direction, EMS 1 [V]
EMS_main_2_03   = data_compo_3(:,13);       % Main flow direction, EMS 2 [V]
EMS_vert_1_03   = data_compo_3(:,14);       % Vertical flow direction, EMS 1 [V]
EMS_vert_2_03   = data_compo_3(:,15);       % Vertical flow direction, EMS 2 [V]


%==========================================================================
% Test 2, composition 2
%==========================================================================

time_02         = data_compo_2(:,1);        % [s]            

rot_top_02      = data_compo_2(:,2);        % [rpm]
rot_bott_02     = data_compo_2(:,3);        % [rpm]

pump1_02        = data_compo_2(:,4);        % [V]
pump2_02        = data_compo_2(:,5);        % [V]

oslim1_02       = data_compo_2(:,6);        % 0 - 30 g/l range, Oslim 2 [V]
oslim2_02       = data_compo_2(:,8);        % 0 - 30 g/l range, Oslim 4 [V]
oslim3_02       = data_compo_2(:,7);        % 0 - 30 g/l range, Oslim 8 [V]

oslim4_02       = data_compo_2(:,9);        % 0 - 2 g/l range, Oslim 9 [V]
oslim5_02       = data_compo_2(:,10);       % (not connected) 0 - 2 g/l range, Oslim x [V]
oslim6_02       = data_compo_2(:,11);       % 0 - 2 g/l range, Oslim 7 [V]

EMS_main_1_02   = data_compo_2(:,12);       % Main flow direction, EMS 1 [V]
EMS_main_2_02   = data_compo_2(:,13);       % Main flow direction, EMS 2 [V]
EMS_vert_1_02   = data_compo_2(:,14);       % Vertical flow direction, EMS 1 [V]
EMS_vert_2_02   = data_compo_2(:,15);       % Vertical flow direction, EMS 2 [V]



%==========================================================================
% Test 3, composition 1
%==========================================================================

time_01         = data_compo_1(:,1);        % [s]            

rot_top_01      = data_compo_1(:,2);        % [rpm]
rot_bott_01     = data_compo_1(:,3);        % [rpm]

pump2_01        = data_compo_1(:,4);        % [V]
pump3_01        = data_compo_1(:,5);        % [V]

oslim1_01       = data_compo_1(:,6);        % 0 - 30 g/l range, Oslim 2 [V]
oslim2_01       = data_compo_1(:,8);        % 0 - 30 g/l range, Oslim 4 [V]
oslim3_01       = data_compo_1(:,7);        % 0 - 30 g/l range, Oslim 8 [V]

oslim4_01       = data_compo_1(:,9);        % 0 - 2 g/l range, Oslim 9 [V]
oslim5_01       = data_compo_1(:,10);       % (not connected) 0 - 2 g/l range, Oslim x [V]
oslim6_01       = data_compo_1(:,11);       % 0 - 2 g/l range, Oslim 7 [V]

EMS_main_1_01   = data_compo_1(:,12);       % Main flow direction, EMS 1 [V]
EMS_main_2_01   = data_compo_1(:,13);       % Main flow direction, EMS 2 [V]
EMS_vert_1_01   = data_compo_1(:,14);       % Vertical flow direction, EMS 1 [V]
EMS_vert_2_01   = data_compo_1(:,15);       % Vertical flow direction, EMS 2 [V]



%==========================================================================
% Determine steps per velocity-step
%==========================================================================

steps_01 = [
1
length(find(rot_top_01<=0.204))
length(find(rot_top_01<=1.019))
length(find(rot_top_01<=2.039))
length(find(rot_top_01<=3.058))
length(find(rot_top_01<=4.078))
length(find(rot_top_01<=4.995))
length(find(rot_top_01<=6.117))
length(find(rot_top_01<=7.136))
length(find(rot_top_01<=8.156))     % !!!!
length(find(rot_top_01<=8.767))
length(find(rot_top_01<=9.481))
length(find(rot_top_01<=10.195))
length(find(rot_top_01<=10.704))-36
];

steps_02 = [
1
length(find(rot_top_02<=0.204))
length(find(rot_top_02<=1.019))
length(find(rot_top_02<=2.039))
length(find(rot_top_02<=3.058))
length(find(rot_top_02<=4.078))
length(find(rot_top_02<=4.995))
length(find(rot_top_02<=6.117))
length(find(rot_top_02<=7.136))
length(find(rot_top_02<=8.156))     % !!!!
length(find(rot_top_02<=8.767))
length(find(rot_top_02<=9.481))
length(find(rot_top_02<=10.195))
length(find(rot_top_02<=10.704))
];

steps_03 = [
1
length(find(rot_top_03<=0.204))
length(find(rot_top_03<=1.019))
length(find(rot_top_03<=2.039))
length(find(rot_top_03<=3.058))
length(find(rot_top_03<=4.078))
length(find(rot_top_03<=4.995))
length(find(rot_top_03<=6.117))
length(find(rot_top_03<=7.136))
length(find(rot_top_03<=7.952))
length(find(rot_top_03<=8.767))     
length(find(rot_top_03<=9.481))
length(find(rot_top_03<=10.195))
length(find(rot_top_03<=10.704))-5
];




