
%==========================================================================
% Test 3, composition 1
%==========================================================================

time_01         = time_01(1:end-36);                    
rot_top_01      = rot_top_01(1:end-36);
rot_bott_01     = rot_bott_01(1:end-36);
pump2_01        = pump2_01(1:end-36);
pump3_01        = pump3_01(1:end-36); 
oslim1_01       = oslim1_01(1:end-36);
oslim2_01       = oslim2_01(1:end-36);
oslim3_01       = oslim3_01(1:end-36);
oslim4_01       = oslim4_01(1:end-36);
oslim6_01       = oslim6_01(1:end-36);
EMS_main_1_01   = EMS_main_1_01(1:end-36);
EMS_main_2_01   = EMS_main_2_01(1:end-36);
EMS_vert_1_01   = EMS_vert_1_01(1:end-36);
EMS_vert_2_01   = EMS_vert_2_01(1:end-36);


% Pump calibration
%==========================================================================

pump2_cal_01        = -0.1337.*pump2_01.^2 + 2.2325.*pump2_01-1.9444;  % [cm^3/s]
pump3_cal_01        = -0.1024.*pump3_01.^2 + 1.6458.*pump3_01-1.0289;  % [cm^3/s]


% EMS calibration
%==========================================================================

EMS_main_1_cal_01   = -0.0984.*EMS_main_1_01-0.0081;  % [m/s]
EMS_main_2_cal_01   =  0.0979.*EMS_main_2_01+0.0087;  % [m/s]
    EMS_main_2_cal_01   = -EMS_main_2_cal_01;

posval_3            = find(EMS_vert_1_01>=0);
negval_3            = find(EMS_vert_1_01 <0);
posval_4            = find(EMS_vert_2_01>=-1);
negval_4            = find(EMS_vert_2_01 <-1);

for i = 1:length(posval_3);
    EMS_vert_1_cal_01(posval_3(i)) = 0.0990.*EMS_vert_1_01(posval_3(i)) + 0.0075;   % [m/s]
end
for i = 1:length(negval_3);
    EMS_vert_1_cal_01(negval_3(i)) = 0.0989.*EMS_vert_1_01(negval_3(i)) - 0.0072;   % [m/s]
end

for i = 1:length(posval_4);
    EMS_vert_2_cal_01(posval_4(i)) = 0.0968.*EMS_vert_2_01(posval_4(i)) + 0.0101;   % [m/s]
end
for i = 1:length(negval_4);
    EMS_vert_2_cal_01(negval_4(i)) = 0.0972.*EMS_vert_2_01(negval_4(i)) + 0.0089;   % [m/s]
end

EMS_main_1_cal_01       = EMS_main_1_cal_01 - (EMS_main_1_cal_01(1650) - EMS_main_2_cal_01(1650));
    EMS_main_1_cal_01(1:1650) = 0;
    EMS_main_1_cal_01(8469:8621)   = EMS_main_1_cal_01(8469:8621)-0.13;
EMS_main_2_cal_01       = EMS_main_2_cal_01 - EMS_main_2_cal_01(1);
EMS_vert_1_cal_01       = EMS_vert_1_cal_01 - EMS_vert_1_cal_01(1650);
    EMS_vert_1_cal_01(1:1650) = 0;
    EMS_vert_1_cal_01(8469:8540)   = EMS_vert_1_cal_01(8469:8540)+0.08;
    EMS_vert_1_cal_01(8541:8621)   = EMS_vert_1_cal_01(8541:8621)+0.05;
EMS_vert_2_cal_01       = EMS_vert_2_cal_01 - EMS_vert_2_cal_01(1);



% Oslim calibration for composition no. 1
%==========================================================================

step0_01            = 1;
step1_01            = find(pump2_01 <= 2.2);
step2_01            = find(pump2_01 <= 3.8);
step3_01            = find(pump2_01 <= 8);

for i = 1:length(step1_01);
    oslim1_cal_01(step1_01(i)) = 0.1240.*oslim1_01(step1_01(i)).^2 + 2.3832.*oslim1_01(step1_01(i)) + 0.1079;   % [g/l]
    oslim2_cal_01(step1_01(i)) = 0.1605.*oslim2_01(step1_01(i)).^2 + 2.2734.*oslim2_01(step1_01(i)) - 0.0326;   % [g/l]
    oslim3_cal_01(step1_01(i)) = 0.1940.*oslim3_01(step1_01(i)).^2 + 1.8692.*oslim3_01(step1_01(i)) + 0.0546;   % [g/l]
    oslim4_cal_01(step1_01(i)) = 0.2377.*oslim4_01(step1_01(i))                                     + 0.0455;   % [g/l]
    oslim6_cal_01(step1_01(i)) = 0.2201.*oslim6_01(step1_01(i))                                     + 0.0483;   % [g/l]
end

for i = 1:length(step2_01);
    oslim1_cal_01(step2_01(i)) = 0.1248.*oslim1_01(step2_01(i)).^2 + 2.0772.*oslim1_01(step2_01(i)) + 0.2647;   % [g/l]
    oslim2_cal_01(step2_01(i)) = 0.1501.*oslim2_01(step2_01(i)).^2 + 2.0005.*oslim2_01(step2_01(i)) + 0.2402;   % [g/l]
    oslim3_cal_01(step2_01(i)) = 0.1681.*oslim3_01(step2_01(i)).^2 + 1.8015.*oslim3_01(step2_01(i)) + 0.0652;   % [g/l]
    oslim4_cal_01(step2_01(i)) = 0.2255.*oslim4_01(step2_01(i))                                     + 0.0405;   % [g/l]
    oslim6_cal_01(step2_01(i)) = 0.2069.*oslim6_01(step2_01(i))                                     + 0.0390;   % [g/l]
end

for i = 1:length(step3_01);
    oslim1_cal_01(step3_01(i)) = 0.1336.*oslim1_01(step3_01(i)).^2 + 1.9065.*oslim1_01(step3_01(i)) + 0.3126;   % [g/l]
    oslim2_cal_01(step3_01(i)) = 0.1597.*oslim2_01(step3_01(i)).^2 + 1.7960.*oslim2_01(step3_01(i)) + 0.2233;   % [g/l]
    oslim3_cal_01(step3_01(i)) = 0.1842.*oslim3_01(step3_01(i)).^2 + 1.6134.*oslim3_01(step3_01(i)) + 0.1731;   % [g/l]
    oslim4_cal_01(step3_01(i)) = 0.2220.*oslim4_01(step3_01(i))                                     + 0.0451;   % [g/l]
    oslim6_cal_01(step3_01(i)) = 0.2045.*oslim6_01(step3_01(i))                                     + 0.0448;   % [g/l]
end

oslim1_cal_01       = oslim1_cal_01 - oslim1_cal_01(1);
oslim2_cal_01       = oslim2_cal_01 - oslim2_cal_01(1);
oslim3_cal_01       = oslim3_cal_01 - oslim3_cal_01(1);
oslim4_cal_01       = oslim4_cal_01 - oslim4_cal_01(1);
oslim6_cal_01       = oslim6_cal_01 - oslim6_cal_01(1);



%==========================================================================
% Test 2, composition 2
%==========================================================================


% Pump calibration
%==========================================================================

pump1_cal_02        = -0.1115.*pump1_02.^2 + 1.8487.*pump1_02-0.2844;  % [cm^3/s]
pump2_cal_02        = -0.1337.*pump2_02.^2 + 2.2325.*pump2_02-1.9444;  % [cm^3/s]


% EMS calibration
%==========================================================================

EMS_main_1_cal_02   = -0.0984.*EMS_main_1_02-0.0081;  % [m/s]
EMS_main_2_cal_02   =  0.0979.*EMS_main_2_02-0.0087;  % [m/s]
    EMS_main_2_cal_02   = -EMS_main_2_cal_02;

%posval_3           = find(EMS_vert_1_02>=0);
%negval_3           = find(EMS_vert_1_02 <0);
posval_4            = find(EMS_vert_2_02>=-1);
negval_4            = find(EMS_vert_2_02 <-1);

for i = 1:length(posval_4);
    EMS_vert_2_cal_02(posval_4(i)) = 0.0968.*EMS_vert_2_02(posval_4(i)) + 0.0101;   % [m/s]
end
for i = 1:length(negval_4);
    EMS_vert_2_cal_02(negval_4(i)) = 0.0972.*EMS_vert_2_02(negval_4(i)) + 0.0089;   % [m/s]
end

EMS_main_1_cal_02   = EMS_main_1_cal_02 - EMS_main_1_cal_02(1);
    EMS_main_1_cal_02(31:47)   = 0.05;
    EMS_main_1_cal_02(414:435) = 0.02;
    EMS_main_1_cal_02(436:506) = EMS_main_1_cal_02(436:506)-0.12;
EMS_main_2_cal_02   = EMS_main_2_cal_02 - EMS_main_2_cal_02(1);
EMS_vert_2_cal_02   = EMS_vert_2_cal_02 - EMS_vert_2_cal_02(1);


% Oslim calibration for composition no. 2
%==========================================================================

step0_02            = 1;
step1_02            = find(pump1_02 <= 1.55);
step2_02            = find(pump1_02 <= 3.30);
step3_02            = find(pump1_02 <= 8.00);

for i = 1:length(step1_02);
    oslim1_cal_02(step1_02(i)) = 0.1293.*oslim1_02(step1_02(i)).^2 + 2.2723.*oslim1_02(step1_02(i)) + 0.3820;   % [g/l]
    oslim2_cal_02(step1_02(i)) = 0.1642.*oslim2_02(step1_02(i)).^2 + 2.1048.*oslim2_02(step1_02(i)) + 0.3531;   % [g/l]
    oslim3_cal_02(step1_02(i)) = 0.1941.*oslim3_02(step1_02(i)).^2 + 1.9433.*oslim3_02(step1_02(i)) + 0.2434;   % [g/l]
    oslim4_cal_02(step1_02(i)) = 0.2323.*oslim4_02(step1_02(i))                                     + 0.0073;   % [g/l]
    oslim6_cal_02(step1_02(i)) = 0.2138.*oslim6_02(step1_02(i))                                     + 0.0025;   % [g/l]
end

for i = 1:length(step2_02);
    oslim1_cal_02(step2_02(i)) = 0.1354.*oslim1_02(step2_02(i)).^2 + 1.8845.*oslim1_02(step2_02(i)) + 0.4152;   % [g/l]
    oslim2_cal_02(step2_02(i)) = 0.1613.*oslim2_02(step2_02(i)).^2 + 1.9519.*oslim2_02(step2_02(i)) + 0.2704;   % [g/l]
    oslim3_cal_02(step2_02(i)) = 0.1946.*oslim3_02(step2_02(i)).^2 + 1.7929.*oslim3_02(step2_02(i)) + 0.2476;   % [g/l]
    oslim4_cal_02(step2_02(i)) = 0.2234.*oslim4_02(step2_02(i))                                     + 0.0102;   % [g/l]
    oslim6_cal_02(step2_02(i)) = 0.2075.*oslim6_02(step2_02(i))                                     + 0.0144;   % [g/l]
end

for i = 1:length(step3_02);
    oslim1_cal_02(step3_02(i)) = 0.1377.*oslim1_02(step3_02(i)).^2 + 1.9849.*oslim1_02(step3_02(i)) + 0.3869;   % [g/l]
    oslim2_cal_02(step3_02(i)) = 0.1848.*oslim2_02(step3_02(i)).^2 + 1.6633.*oslim2_02(step3_02(i)) + 0.4487;   % [g/l]
    oslim3_cal_02(step3_02(i)) = 0.1965.*oslim3_02(step3_02(i)).^2 + 1.6944.*oslim3_02(step3_02(i)) + 0.2941;   % [g/l]
    oslim4_cal_02(step3_02(i)) = 0.2177.*oslim4_02(step3_02(i))                                     + 0.0022;   % [g/l]
    oslim6_cal_02(step3_02(i)) = 0.2007.*oslim6_02(step3_02(i))                                     + 0.0038;   % [g/l]
end

oslim1_cal_02       = oslim1_cal_02 - oslim1_cal_02(1);
oslim2_cal_02       = oslim2_cal_02 - oslim2_cal_02(1);
oslim3_cal_02       = oslim3_cal_02 - oslim3_cal_02(1);
oslim4_cal_02       = oslim4_cal_02 - oslim4_cal_02(1);
oslim6_cal_02       = oslim6_cal_02 - oslim6_cal_02(1);


%==========================================================================
% Test 1, composition 3
%==========================================================================

time_03         = time_03(1:end-5);                    
rot_top_03      = rot_top_03(1:end-5);
rot_bott_03     = rot_bott_03(1:end-5);
pump1_03        = pump1_03(1:end-5);
pump2_03        = pump2_03(1:end-5); 
oslim1_03       = oslim1_03(1:end-5);
oslim2_03       = oslim2_03(1:end-5);
oslim3_03       = oslim3_03(1:end-5);
oslim4_03       = oslim4_03(1:end-5);
oslim6_03       = oslim6_03(1:end-5);
EMS_main_1_03   = EMS_main_1_03(1:end-5);
EMS_main_2_03   = EMS_main_2_03(1:end-5);
EMS_vert_1_03   = EMS_vert_1_03(1:end-5);
EMS_vert_2_03   = EMS_vert_2_03(1:end-5);


% Pump calibration
%==========================================================================

pump1_cal_03        = -0.1115.*pump1_03.^2 + 1.8487.*pump1_03 -0.2844;  % [cm^3/s] 
pump2_cal_03        = -0.1337.*pump2_03.^2 + 2.2325.*pump2_03 -1.9444;  % [cm^3/s]


% EMS calibration
%==========================================================================

EMS_main_1_cal_03   = -0.0984.*EMS_main_1_03-0.0081;  % [m/s]
EMS_main_2_cal_03   =  0.0976.*EMS_main_2_03+0.0092;  % [m/s]

%posval_1           = find(EMS_vert_1_03>=0);
%negval_1           = find(EMS_vert_1_03 <0);
posval_2            = find(EMS_vert_2_03>=-1);
negval_2            = find(EMS_vert_2_03 <-1);

for i = 1:length(posval_2);
    EMS_vert_2_cal_03(posval_2(i)) = 0.0968.*EMS_vert_2_03(posval_2(i)) + 0.0101;   % [m/s]
end
for i = 1:length(negval_2);
    EMS_vert_2_cal_03(negval_2(i)) = 0.0972.*EMS_vert_2_03(negval_2(i)) + 0.0089;   % [m/s]
end

EMS_main_1_cal_03   = EMS_main_1_cal_03 - EMS_main_1_cal_03(1);
EMS_main_2_cal_03   = EMS_main_2_cal_03 - EMS_main_2_cal_03(1);
EMS_vert_2_cal_03   = EMS_vert_2_cal_03 - EMS_vert_2_cal_03(1);


% Oslim calibration for composition no. 3
%==========================================================================

step0_03            = 1;
step1_03            = find(pump1_03 <= 1.55);
step2_03            = find(pump1_03 <= 3.30);
step3_03            = find(pump1_03 <= 8.00);

for i = 1:length(step1_03);
    oslim1_cal_03(step1_03(i)) = 0.1291.*oslim1_03(step1_03(i)).^2 + 2.3067.*oslim1_03(step1_03(i)) + 0.1987;   % [g/l]
    oslim2_cal_03(step1_03(i)) = 0.1610.*oslim2_03(step1_03(i)).^2 + 2.1578.*oslim2_03(step1_03(i)) + 0.2679;   % [g/l]
    oslim3_cal_03(step1_03(i)) = 0.1931.*oslim3_03(step1_03(i)).^2 + 1.9140.*oslim3_03(step1_03(i)) + 0.3200;   % [g/l]
    oslim4_cal_03(step1_03(i)) = 0.2418.*oslim4_03(step1_03(i))                                     + 0.0084;   % [g/l]
    oslim6_cal_03(step1_03(i)) = 0.2266.*oslim6_03(step1_03(i))                                     + 0.0037;   % [g/l]
end

for i = 1:length(step2_03);
    oslim1_cal_03(step2_03(i)) = 0.1489.*oslim1_03(step2_03(i)).^2 + 1.8845.*oslim1_03(step2_03(i)) + 0.4152;   % [g/l]
    oslim2_cal_03(step2_03(i)) = 0.1683.*oslim2_03(step2_03(i)).^2 + 1.9299.*oslim2_03(step2_03(i)) + 0.4225;   % [g/l]
    oslim3_cal_03(step2_03(i)) = 0.1980.*oslim3_03(step2_03(i)).^2 + 1.6778.*oslim3_03(step2_03(i)) + 0.4328;   % [g/l]
    oslim4_cal_03(step2_03(i)) = 0.2303.*oslim4_03(step2_03(i))                                     + 0.0063;   % [g/l]
    oslim6_cal_03(step2_03(i)) = 0.2165.*oslim6_03(step2_03(i))                                     + 0.0010;   % [g/l]
end

for i = 1:length(step3_03);
    oslim1_cal_03(step3_03(i)) = 0.1451.*oslim1_03(step3_03(i)).^2 + 1.8871.*oslim1_03(step3_03(i)) + 0.3958;   % [g/l]
    oslim2_cal_03(step3_03(i)) = 0.1709.*oslim2_03(step3_03(i)).^2 + 1.7393.*oslim2_03(step3_03(i)) + 0.4627;   % [g/l]
    oslim3_cal_03(step3_03(i)) = 0.1968.*oslim3_03(step3_03(i)).^2 + 1.6056.*oslim3_03(step3_03(i)) + 0.4614;   % [g/l]
    oslim4_cal_03(step3_03(i)) = 0.2273.*oslim4_03(step3_03(i))                                     + 0.0088;   % [g/l]
    oslim6_cal_03(step3_03(i)) = 0.2114.*oslim6_03(step3_03(i))                                     + 0.0031;   % [g/l]
end

oslim1_cal_03       = oslim1_cal_03 - oslim1_cal_03(1);
oslim2_cal_03       = oslim2_cal_03 - oslim2_cal_03(1);
oslim3_cal_03       = oslim3_cal_03 - oslim3_cal_03(1);
oslim4_cal_03       = oslim4_cal_03 - oslim4_cal_03(1);
oslim6_cal_03       = oslim6_cal_03 - oslim6_cal_03(1);




