
%==========================================================================
% Total eroded mass of sand
%==========================================================================

% Calculation average mass of sand along outer bend
sand1_02    = ((1637+1796)/1000) / (0.44+1.18);     % [kg/m]
sand2_02    = ((1867+ 829)/1000) / (1.39)     ;     % [kg/m]
sand3_02    = ((1821     )/1000) / (1.18+0.61);     % [kg/m]
sand_02     = (sand1_02+sand2_02+sand3_02)/3;       % [kg/m]

sand_01     = 0;                                    % [kg/m]
sand_03     = 0;                                    % [kg/m]

% Outer perimeter flume
peri_flume  = 2*pi()*2.0;                           % [m]

% Total mass sand
Msand_01    = sand_01*peri_flume;                   % [kg]
Msand_02    = sand_02*peri_flume;                   % [kg]
Msand_03    = sand_03*peri_flume;                   % [kg]


%==========================================================================
% Total eroded mass of fines
%==========================================================================

R1          = (3.7-0.3)/2;  % Inner diameter flume [m]
R2          = (3.7+0.3)/2;  % Outer diameter flume [m]

% Horizontal surface area within flume [m^2]
Asample     = pi()*R2^2 - pi()*R1^2;         
    
% Average height of water column during test comp. 2 [m]
Hwater_02   = 0.25;        
Hwater_03   = 0.25;        

% Volume of water in flume during test comp. 2 [m^3]
Vwater_02   = Asample*Hwater_02;         
Vwater_03   = Asample*Hwater_03;         

% Total mass of fines eroded [m^3*g/l=kg]
Mfines_01   = 0;
Mfines_02   = Vwater_02*conc_max_02;
Mfines_03   = Vwater_03*conc_max_03;




% Determine erosion depth




figure;
set         (gcf,'PaperUnits','centimeters','PaperOrientation','portrait',...
            'papertype','A4','paperposition',[0 0 10 7]);      

plot        (1,Mfines_01,'ob','markerfacecolor','b'),hold on;
plot        (1,Msand_01 ,'sr','markerfacecolor','r'),hold on;
plot        (2,Mfines_02,'ob','markerfacecolor','b'),hold on;
plot        (2,Msand_02 ,'sr','markerfacecolor','r'),hold on;
plot        (3,Mfines_03,'ob','markerfacecolor','b'),hold on;
plot        (3,Msand_03 ,'sr','markerfacecolor','r'),hold on;

legend      (['Mass eroded fines'],['Mass eroded sand'],1);
xlabel      ('No. composition [-]','fontsize',14);
ylabel      ('Eroded mass [kg]','fontsize',14);
print       eroded_masses -dpng;


